Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
UrlTest::testActiveLinkAttributes function core/modules/system/tests/src/Functional/Common/UrlTest.php Tests the active class in links.
UrlTest::testCreateFromRequest function core/tests/Drupal/Tests/Core/UrlTest.php Tests the createFromRequest method.
UrlTest::testDrupalGetQueryParameters function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests UrlHelper::filterQueryParameters().
UrlTest::testDrupalParseUrl function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests UrlHelper::parse().
UrlTest::testEntityUris function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an entity: URI.
UrlTest::testExternalUrls function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests external URL handling.
UrlTest::testFormUrl function core/modules/system/tests/src/Functional/Form/UrlTest.php Tests that #type 'url' fields are properly validated and trimmed.
UrlTest::testFromInvalidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an invalid internal: URI.
UrlTest::testFromInvalidUserInput function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUserInput method with invalid paths.
UrlTest::testFromRoutedPathWithInvalidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with a user-entered path not matching any route.
UrlTest::testFromRoutedPathWithValidRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests fromUri() method with user-entered path matching a valid route.
UrlTest::testFromRouteFront function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromRoute() method with the special <front> path.
UrlTest::testFromRouteMatch function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromRouteMatch() method.
UrlTest::testFromRouteUriWithMissingRouteName function core/tests/Drupal/Tests/Core/UrlTest.php Tests from route uri with missing route name.
UrlTest::testFromUriNumber function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with a base: URI starting with a number.
UrlTest::testFromUserInput function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUserInput method with valid paths.
UrlTest::testFromValidInternalUri function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with a valid internal: URI.
UrlTest::testGetInternalPath function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getInternalPath method().
UrlTest::testGetOptions function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getOptions() method.
UrlTest::testGetRouteName function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getRouteName() method.
UrlTest::testGetRouteNameWithExternalUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getRouteName() with an external URL.
UrlTest::testGetRouteParameters function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getRouteParameters() method.
UrlTest::testGetRouteParametersWithExternalUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getRouteParameters() with an external URL.
UrlTest::testGetUriForExternalUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getUri() method for external URLs.
UrlTest::testGetUriForInternalUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getUri() method for internal URLs.
UrlTest::testGetUriForProtocolRelativeUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the getUri() and isExternal() methods for protocol-relative URLs.
UrlTest::testInvalidEntityUriParameter function core/tests/Drupal/Tests/Core/UrlTest.php Tests the fromUri() method with an invalid entity: URI.
UrlTest::testIsExternal function core/tests/Drupal/Tests/Core/UrlTest.php Tests the isExternal() method.
UrlTest::testLinkAttributes function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests that default and custom attributes are handled correctly on links.
UrlTest::testLinkBubbleableMetadata function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests that #type=link bubbles outbound route/path processors' metadata.
UrlTest::testLinkRenderArrayText function core/modules/system/tests/src/Kernel/Common/UrlTest.php Tests that link functions support render arrays as 'text'.
UrlTest::testLinkXSS function core/modules/system/tests/src/Kernel/Common/UrlTest.php Confirms that invalid URLs are filtered in link generating functions.
UrlTest::testMergeOptions function core/tests/Drupal/Tests/Core/UrlTest.php Tests the mergeOptions() method.
UrlTest::testSetOptions function core/tests/Drupal/Tests/Core/UrlTest.php Tests the setOptions() method.
UrlTest::testSetRouteParametersWithUnroutedUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the setRouteParameters() with an unrouted URL.
UrlTest::testSetRouteParameterWithUnroutedUrl function core/tests/Drupal/Tests/Core/UrlTest.php Tests the setRouteParameter() with an unrouted URL.
UrlTest::testToString function core/tests/Drupal/Tests/Core/UrlTest.php Tests the toString() method.
UrlTest::testToUriStringForEntity function core/tests/Drupal/Tests/Core/UrlTest.php Tests the toUriString() method with entity: URIs.
UrlTest::testToUriStringForInternal function core/tests/Drupal/Tests/Core/UrlTest.php Tests the toUriString() method with internal: URIs.
UrlTest::testToUriStringForRoute function core/tests/Drupal/Tests/Core/UrlTest.php Tests the toUriString() method with route: URIs.
UrlTest::testUrlFromRequest function core/tests/Drupal/Tests/Core/UrlTest.php Tests creating a URL from a request.
UrlTest::testUrlFromRequestInvalid function core/tests/Drupal/Tests/Core/UrlTest.php Tests that an invalid request will thrown an exception.
UrlTest::testUrlFromRequestWithQueryParameters function core/tests/Drupal/Tests/Core/UrlTest.php Tests creating a URL from a request with query parameters.
UrlTransformRelativeTest class core/tests/Drupal/KernelTests/Core/File/UrlTransformRelativeTest.php Tests URL transform to relative.
UrlTransformRelativeTest.php file core/tests/Drupal/KernelTests/Core/File/UrlTransformRelativeTest.php
UrlTransformRelativeTest::$modules property core/tests/Drupal/KernelTests/Core/File/UrlTransformRelativeTest.php Modules to install.
UrlTransformRelativeTest::providerFileUrlTransformRelative function core/tests/Drupal/KernelTests/Core/File/UrlTransformRelativeTest.php Provides data for testing URL transformation.
UrlTransformRelativeTest::testFileUrlTransformRelative function core/tests/Drupal/KernelTests/Core/File/UrlTransformRelativeTest.php Tests transformRelative() function.
url_alter_test.info.yml file core/modules/system/tests/modules/url_alter_test/url_alter_test.info.yml core/modules/system/tests/modules/url_alter_test/url_alter_test.info.yml
url_alter_test.path_processor service core/modules/system/tests/modules/url_alter_test/url_alter_test.services.yml Drupal\url_alter_test\PathProcessorTest

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.